STARGET_FOR_EACH_DEV(9)

NAME
starget_for_each_device - helper to walk all devices of a target

SYNOPSIS

void starget_for_each_device(struct scsi_target * starget, void * data, void (*fn) (struct scsi_device *, void *));

ARGUMENTS

starget
    target whose devices we want to iterate over.

data
    Opaque passed to each function call.

fn
    Function to call on each device

DESCRIPTION

This traverses over each device of starget. The devices have a reference that must be released by scsi_host_put when breaking out of the loop.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT